Name:          cas-client
Version:       3.3.3
Release:       5%{?dist}
Summary:       Jasig CAS Client for Java
License:       ASL 2.0 and BSD
Url:           http://www.jasig.org/cas
Source0:       https://github.com/Jasig/java-%{name}/archive/%{name}-%{version}.tar.gz
# cas-client package don't include the license file
# from http://www.jasig.org/cas/license
Source1:       %{name}-LICENSE.txt
Source2:       http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires: mvn(commons-codec:commons-codec)
BuildRequires: mvn(commons-lang:commons-lang)
BuildRequires: mvn(javax.servlet:javax.servlet-api)
BuildRequires: mvn(joda-time:joda-time)
BuildRequires: mvn(net.sf.ehcache:ehcache-core)
BuildRequires: mvn(net.spy:spymemcached)
BuildRequires: mvn(org.apache.santuario:xmlsec)
BuildRequires: mvn(org.springframework:spring-beans)

# test deps
BuildRequires: mvn(commons-logging:commons-logging)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(log4j:log4j:1.2.17)
BuildRequires: mvn(org.slf4j:jcl-over-slf4j)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.slf4j:slf4j-nop)
BuildRequires: mvn(org.slf4j:slf4j-simple)
BuildRequires: mvn(org.springframework:spring-core)
BuildRequires: mvn(org.springframework:spring-context)
BuildRequires: mvn(org.springframework:spring-test)

BuildRequires: maven-local

BuildArch:     noarch

%description
Jasig CAS Client for Java is the integration point for applications that
want to speak with a CAS server, either via the CAS 1.0 or CAS 2.0 protocol.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n java-%{name}-%{name}-%{version}

find . -name "*.class" -delete
find . -name "*.jar" -delete
%pom_remove_parent

%pom_remove_plugin :maven-assembly-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :maven-enforcer-plugin

# require 
# com.atlassian.seraph atlassian-seraph 2.4.0
# com.atlassian.osuser atlassian-osuser 1.1.2
# com.atlassian.confluence confluence 3.4.4
%pom_disable_module cas-client-integration-atlassian
# require org.jboss.jbossas jboss-as-tomcat 5.1.0.GA
%pom_disable_module cas-client-integration-jboss
%pom_disable_module cas-client-integration-tomcat-v6
%pom_disable_module cas-client-integration-tomcat-v7

%pom_remove_dep xml-security:xmlsec cas-client-core
%pom_add_dep org.apache.santuario:xmlsec::runtime cas-client-core

%pom_add_dep org.slf4j:slf4j-nop::test cas-client-support-distributed-ehcache

%pom_xpath_set "pom:dependencies/pom:dependency[pom:artifactId = 'log4j']/pom:version" 1.2.17 cas-client-core

%pom_xpath_set "pom:dependencies/pom:dependency[pom:artifactId = 'javax.servlet-api']/pom:version" 3.1.0

# use, also, org.opensaml:xmltooling currently is broken. see rhbz#1106661
%pom_remove_dep org.opensaml: cas-client-core
rm -r cas-client-core/src/main/java/org/jasig/cas/client/validation/Saml11TicketValidator.java \
 cas-client-core/src/main/java/org/jasig/cas/client/validation/Saml11TicketValidationFilter.java \
 cas-client-core/src/test/java/org/jasig/cas/client/validation/Saml11TicketValidatorTests.java \
 cas-client-core/src/test/java/org/jasig/cas/client/validation/Saml11TicketValidationFilterTests.java
%pom_add_dep commons-lang:commons-lang cas-client-core
%pom_add_dep joda-time:joda-time cas-client-core

# this test fails
rm -r cas-client-support-distributed-ehcache/src/test/java/EhCacheBackedProxyGrantingTicketStorageImplTests.java
rm -r cas-client-core/src/test/java/org/jasig/cas/client/validation/Cas10TicketValidatorTests.java \
  cas-client-core/src/test/java/org/jasig/cas/client/validation/Cas20ProxyTicketValidatorTests.java \
  cas-client-core/src/test/java/org/jasig/cas/client/validation/Cas20ServiceTicketValidatorTests.java


cp -p %{SOURCE1} LICENSE.txt
cp -p %{SOURCE2} .
sed -i 's/\r//' LICENSE.txt LICENSE-2.0.txt

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%license LICENSE.txt LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt LICENSE-2.0.txt

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Mar 06 2015 gil cattaneo <puntogil@libero.it> 3.3.3-4
- disable tomcat7 module and opensalm support

* Wed Mar 04 2015 gil cattaneo <puntogil@libero.it> 3.3.3-3
- use servlet api 3.1

* Fri Jan 30 2015 gil cattaneo <puntogil@libero.it> 3.3.3-2
- introduce license macro

* Tue Aug 19 2014 gil cattaneo <puntogil@libero.it> 3.3.3-1
- update to 3.3.3
- fix CVE-2014-4172 (rhbz#1131371)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Oct 04 2013 gil cattaneo <puntogil@libero.it> 3.2.1-4
- rebuilt with XMvn

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun May 12 2013 gil cattaneo <puntogil@libero.it> 3.2.1-2
- disable tomcat6 module
- adapt to current guideline

* Fri Nov 16 2012 gil cattaneo <puntogil@libero.it> 3.2.1-1
- initial rpm
